Skip to main content
GET
/
v2
/
account
/
account-info
Get account info
curl --request GET \
  --url https://api.example.com/v2/account/account-info \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountInfo": {
    "mainAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspaceMainUser": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "countryTaxResidence": "<string>",
    "countrySubdivisionTaxResidence": "<string>",
    "name": "<string>",
    "identityStatus": "<string>",
    "initialized": true,
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "wallets": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "walletAddress": "<string>",
      "chain": "<string>"
    }
  ],
  "pixKey": "<string>",
  "brCode": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Response

OK

id
string<uuid>
accountInfo
object

V2 account info entity (composed from local DB + the platform service user).

wallets
object[]
pixKey
string
brCode
string
createdAt
string<date-time>